Bug 212239 - net/tigervnc: update to 1.7.0
Summary: net/tigervnc: update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-08-29 14:02 UTC by Koop Mast
Modified: 2016-09-12 14:24 UTC (History)
1 user (show)

See Also:
meta: maintainer-feedback+


Attachments
tigervnc 1.6.90 update (1.86 KB, patch)
2016-08-29 14:02 UTC, Koop Mast
no flags Details | Diff
tigervnc 1.7.0 update (1.86 KB, patch)
2016-09-10 14:39 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2016-08-29 14:02:19 UTC
Created attachment 174184 [details]
tigervnc 1.6.90 update

The current tigervnc doesn't support xorg-server 1.18.0. Update to 1.6.90 (1.7.0 beta) release, released in juli,  which supports it this xorg-server version.

Please approve of this patch so we can import xorg-server 1.18.0 and newer ddx drivers.
Comment 1 Koichiro Iwao freebsd_committer 2016-08-30 00:36:11 UTC
+1
Comment 2 Koop Mast freebsd_committer 2016-09-10 14:39:34 UTC
Created attachment 174619 [details]
tigervnc 1.7.0 update

Same patch but now with the offical 1.7.0 release.
Comment 3 Koop Mast freebsd_committer 2016-09-10 14:40:35 UTC
I should also mention that I haven't run tested this or the previous update.
Comment 4 Koichiro Iwao freebsd_committer 2016-09-10 14:53:39 UTC
Comment on attachment 174619 [details]
tigervnc 1.7.0 update

1.6.90 is tested in tigervnc-devel port. It would be no problem to upgrade tigervnc port.
Comment 5 Koichiro Iwao freebsd_committer 2016-09-10 14:56:05 UTC
Let's IGNORE tigervnc-devel port after tigervnc port updated to 1.7.0. Like java/netbeans-devel.

> IGNORE=         No development version available right now. Please use java/netbeans instead.
Comment 6 commit-hook freebsd_committer 2016-09-12 14:22:48 UTC
A commit references this bug:

Author: kwm
Date: Mon Sep 12 14:22:11 UTC 2016
New revision: 421925
URL: https://svnweb.freebsd.org/changeset/ports/421925

Log:
  Update tigervnc to 1.7.0.

  Mark tigervnc-devel ignore since it contained the 1.7.0 RC.

  PR:		212239
  Approved by:	maintainer

Changes:
  head/net/tigervnc/Makefile
  head/net/tigervnc/distinfo
  head/net/tigervnc/pkg-plist
  head/net/tigervnc-devel/Makefile
Comment 7 Koop Mast freebsd_committer 2016-09-12 14:24:11 UTC
Committed thanks!